@import '../../styles/variables/colors';
@import '../../styles/variables/mixins';

.loginMainContainer {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  position: relative;
  z-index: 1;
  width: 100%;
  height: calc(100vh - 66.5px);

  .headSection {
    @include mobile {
      margin-bottom: 40px;
    }
  }

  .mainWrapper {
    padding: calc(10px + 0.5625vw);
    background-color: $cream-40;
    position: relative;
    width: 460px;
    max-width: 460px;
    margin-top: 55px;

    @include mobile {
      width: 100%;
      position: absolute;
      bottom: 0;
      border-radius: 16px 16px 0 0;
    }
  }

  .bgTree {
    position: absolute;
    top: 50px;
    left: 0%;
    right: 0;
    height: 129px;
    width: 171px;
    margin: 0 auto;
    display: flex;
    align-items: center;
    justify-content: center;

    @include mobile {
      top: 50px;
    }
  }

  .otpMainWrapper {
    @extend .mainWrapper;
    max-width: 460px;
    z-index: 11;
    .bgTree {
      top: 40px;
      left: 0;
    }
  }
  .formWrapper {
    border: 1px solid $brown-80-30;
    padding: 50px 20px;
    text-align: center;

    @include mobile {
      padding: 60px 20px;
    }

    form {
      width: 95%;
      margin: 0 auto;
    }
    position: relative;
    .cross {
      cursor: pointer;
      position: absolute;
      top: 8px;
      right: 8px;
      img {
        width: 24px;
        border-radius: 100%;
        background-size: 100% 200%;
        background-image: linear-gradient(
          to top,
          rgb(175, 168, 168) 50%,
          transparent 50%
        );
        transition: background-position 1s;
        &:hover {
          background-position: 100% 100%;
        }
      }
    }
  }
  .otpFormWrapper {
    @extend .formWrapper;
    .headingWrapper {
      width: 100%;
      margin: 20px auto 50px;

      .heading {
        font-weight: 200;
        font-size: 30px;
        line-height: 140.8%;
        letter-spacing: 0.01em;
        @include mobile {
          font-size: 34px;

          @media (max-width: 400px) {
            font-size: 28px;
          }
        }
      }
    }

    .otpBtnStyle {
      min-width: 160px;
    }
    position: relative;
    .cross {
      cursor: pointer;
      position: absolute;
      top: 8px;
      right: 8px;
      img {
        width: 24px;
      }
    }
  }

  .headingWrapper {
    margin: 30px auto 0;
  }

  .heading {
    text-transform: uppercase;
    max-width: 80%;
    margin: 0 auto 14px;

    @include fontStyles(
      $black-100,
      'Editorial New',
      200,
      calc(30px + 0.390625vw)
    );
  }

  .notRegisteredText {
    font-weight: 400;
    font-size: 12px;
    color: $black-100-70;
    margin-bottom: calc(8px + 1.5625vw);
    margin-top: 0;
    position: relative;
    z-index: 1;

    a {
      color: $brown-70;
      cursor: pointer;
      text-decoration: none;
      transition: all 0.5s ease-in-out;

      &:hover {
        text-decoration: underline;
      }
    }
  }

  .otpWrapper {
    margin-bottom: calc(15px + 0.390625vw);
    display: flex;
    justify-content: center;
    .otpInput {
      color: $black-90;
      font-weight: 400;
      font-size: 20px;
      line-height: 130%;
      border: none;
      margin-right: 0;
      background-color: transparent;
      &::placeholder {
        color: rgba(0, 0, 0, 0.2);
      }
      &:focus {
        outline: 1px solid transparent;
      }
    }
  }
  .phoneNosWrapper {
    width: 100%;
    margin: 0 auto;
    position: relative;
    border-bottom: 1px solid $black-90-20;
    padding-bottom: 10px;
    display: flex;

    & > * + * {
      margin-left: 1rem;
    }

    .phoneNumberInput {
      //   // width: 100% !important;
      border: none;
      font-size: 20px;
      font-weight: 400;
      color: $black-100;
      background-color: transparent;
      &::placeholder {
        color: rgba(0, 0, 0, 0.2);
      }
      &:focus {
        outline: 1px solid transparent;
      }
    }
  }

  .errorText {
    font-weight: 400;
    font-size: 12px;
    color: $red-100;
    span {
      color: $black-90;
      text-decoration: underline;
      cursor: pointer;
    }
  }
  .warningIconWrapper {
    position: absolute;
    right: 0;
    top: 6px;
  }

  .resendMsg {
    color: $black-90;
    font-size: 12px;
    line-height: 130%;
    margin-top: 80px;
    margin-bottom: 32px;
    .resend {
      @include fontStyles($brown-70, 'Manrope', 400, 0.875rem);
      cursor: pointer;
      &:hover {
        text-decoration: underline;
      }
    }
  }
  .timerCount {
    color: $brown-70;
    font-size: 12px;
  }

  .submitBtnWrapper {
    @include flex(center, center);

    @include mobile {
      position: fixed;
      bottom: 0;
      left: 0;
      width: 100%;
    }

    button {
      background-color: $green-100;
      color: $cream-50;

      @include mobile {
        border: none;
        border-radius: 0;
        width: 100%;
      }
    }
  }

  select {
    background: transparent;
    border: none;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    font-weight: 400;
    font-size: 12px;
    line-height: 130%;

    &:focus {
      border: none;
      outline: 1px solid transparent;
    }

    option {
      font-weight: 400;
      font-size: 12px;
      line-height: 130%;
    }
  }
}
